> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Create download token

>  Create token to download media file by get request and without another authentication.

<sup>Required permissions: `media:read`</sup>



## OpenAPI

````yaml post /media/{id}/download-token
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /media/{id}/download-token:
    parameters: []
    post:
      tags:
        - Media
      summary: Create download token
      description: |2-
         Create token to download media file by get request and without another authentication.

        <sup>Required permissions: `media:read`</sup>
      operationId: getDownloadToken
      parameters:
        - name: id
          in: path
          description: Media identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
      requestBody:
        description: ''
        content: {}
        required: false
      responses:
        '201':
          description: Media resource created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Media.DownloadTokenResponse-MediaRead'
            text/html:
              schema:
                $ref: '#/components/schemas/Media.DownloadTokenResponse-MediaRead'
          links: {}
        '400':
          description: Invalid input
        '422':
          description: Unprocessable entity
      deprecated: false
      security:
        - JWT:
            - media:read
components:
  schemas:
    Media.DownloadTokenResponse-MediaRead:
      type: object
      description: ''
      deprecated: false
      properties:
        token:
          description: >-
            The token to download the media file. This token is valid for 1
            minute.
          example: eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9
          type: string
        url:
          description: The url to download the media file.
          example: >-
            https://coreapi.io/media/1/download/eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9
          type: string
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````